### Name: fitCopula
### Title: Maximum likelihood estimation of copula models
### Aliases: fitCopula fitMvdc loglikCopula loglikMvdc
### Keywords: models multivariate

### ** Examples

gumbel.cop <- gumbelCopula(3, dim=2)
myMvd <- mvdc(gumbel.cop, c("exp","exp"), list(list(rate=2),list(rate=4)))
x <- rmvdc(myMvd, 1000)
fit <- fitMvdc(x, myMvd, c(1,1,2))
fit

n <- 200
u <- rcopula(gumbel.cop, n)              ## true observations
r <- apply(u, 2, rank) / (n + 1)  ## pseudo-observations
start <- calibKendallsTau(gumbel.cop, cor(u, method="kendall")[1,2])
fit.u <- fitCopula(u, gumbel.cop, start)
fit.u
fit.r <- fitCopula(r, gumbel.cop, start)
fit.r



