### Name: gofCopula
### Title: Goodness-of-fit tests for copulas
### Aliases: gofCopula
### Keywords: htest models multivariate

### ** Examples

## A two-dimensional data example
x <- rcopula(claytonCopula(3), 200)

## Not run: 
##D ## Taking too long with method = "parametric.bootstrap"
##D ## Does the Gumbel family seem to be a good choice? 
##D gofCopula(gumbelCopula(1), x, estimation="kendall")
##D ## What about the Clayton family? 
##D gofCopula(claytonCopula(1), x, estimation="kendall")
##D ## Pseudo-likelihood estimation where starting value are obtained
##D ## by inverting Kendall's tau
##D clayton.cop <- claytonCopula(1)
##D clayton.cop@parameters[1] <- calibKendallsTau(clayton.cop, cor(x, method="kendall")[1,2])
##D gofCopula(clayton.cop, x)
## End(Not run)
## A three-dimensional example
x <- rcopula(normalCopula(c(0.5, 0.6, 0.7), dim = 3, dispstr = "un"),200)

## Not run: 
##D ## Taking too long with method = "parametric.bootstrap"
##D ## Does the Clayton family seem to be a good choice? 
##D gofCopula(gumbelCopula(1, dim = 3), x)
##D ## What about the normal copula?
##D normal.copula <- normalCopula(rep(0, 3), dim = 3, dispstr = "un")
##D gofCopula(normal.copula, x)
## End(Not run)



